Page MenuHomePhabricator

[Epic] Structured deployment of ORES
Closed, ResolvedPublic

Description

Right now we don't have regular deployment of ORES, mostly due to complicated situation of dependencies and models.
We need to define a proper protocol of deployment and a proper roadmap similar to what mediawiki follows.
Things we need to cover in order to have a proper deployment:

  • We need to define packs of freezed libraries. Because our dependencies doesn't work together. ores 0.5.7 doesn't work with revscoring 1.0.1, but ores 0.6.1 does. We should pack everything that works and call it wiki-ai2016.1
  • We need to set up a beta cluster that everything merged goes directly to the cluster so we would notice any breakage early
  • It would be good if we can make the whole process of deployment more automatic, specially re-creating model files, making wheels, first step to do this is writing a step-by step guide on how to deploy new versions of revscoring/ores/editquality/etc.
  • A road map is needed, let's say release wiki-ai2016.4 would be one of our 201617Q1 goal

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 18 2016, 2:42 PM
Ladsgroup renamed this task from Structured deployment of ORES to [Epic] Structured deployment of ORES.Mar 18 2016, 7:52 PM
Ladsgroup moved this task from Active to Epic on the Scoring-platform-team (Current) board.
Ladsgroup added a project: Epic.
awight added a subscriber: awight.Jul 25 2017, 9:32 PM

@Ladsgroup I see that all the subtasks are complete--should we revolve the epic?

I don't think we should call it done, I think we need to spec out the details and then implement them. What I suggested was to use wmf-like deployment. Maybe it's not a good idea but we need to discuss it first.

awight removed a subscriber: awight.Mar 21 2019, 4:00 PM
Halfak moved this task from Untriaged to Epic on the Scoring-platform-team board.Apr 2 2019, 9:26 PM
Harej closed this task as Resolved.Apr 2 2019, 9:52 PM